cryptonite-0.9: Cryptography Primitives sink

License | BSD-style
Maintainer | Vincent Hanquez <vincent@snarc.org>
Stability | stable
Portability | good
Safe Haskell | None
Language | Haskell2010

Crypto.Cipher.Blowfish

Description

Synopsis

- data Blowfish
- data Blowfish64
- data Blowfish128
- data Blowfish256
- data Blowfish448

# Documentation

data Blowfish

variable keyed blowfish state

Instances

NFData Blowfish |
Cipher Blowfish |
BlockCipher Blowfish |

data Blowfish64

64 bit keyed blowfish state

Instances

NFData Blowfish64 |
Cipher Blowfish64 |
BlockCipher Blowfish64 |

data Blowfish128

128 bit keyed blowfish state

Instances

NFData Blowfish128 |
Cipher Blowfish128 |
BlockCipher Blowfish128 |

data Blowfish256

256 bit keyed blowfish state

Instances

NFData Blowfish256 |
Cipher Blowfish256 |
BlockCipher Blowfish256 |

data Blowfish448

448 bit keyed blowfish state

Instances

NFData Blowfish448 |
Cipher Blowfish448 |
BlockCipher Blowfish448 |